import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ShoppingVendorWhereInputObjectSchema as ShoppingVendorWhereInputObjectSchema } from './ShoppingVendorWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => ShoppingVendorWhereInputObjectSchema).optional(),
  some: z.lazy(() => ShoppingVendorWhereInputObjectSchema).optional(),
  none: z.lazy(() => ShoppingVendorWhereInputObjectSchema).optional()
}).strict();
export const ShoppingVendorListRelationFilterObjectSchema: z.ZodType<Prisma.ShoppingVendorListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorListRelationFilter>;
export const ShoppingVendorListRelationFilterObjectZodSchema = makeSchema();
